'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgAngolaCircled = function SvgAngolaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "AngolaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#AngolaCircled_svg__b)",
    mask: "url(#AngolaCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "red",
    fillRule: "evenodd",
    d: "M1 1h46v23.341H1z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M1 23.659h46V47H1z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFEC00",
    fillRule: "evenodd",
    d: "M21.547 14.315c14.842 3.89 5.301 22.964-6.406 15.022l-.79 1.222c6.89 4.905 13.71.952 15.633-4.17 1.994-5.282-.683-12.712-8.32-13.476z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFEC00",
    fillRule: "evenodd",
    d: "m16.273 30.72 1.95.908-.916 1.958-1.95-.916zm13.387-8.94h2.156v2.157H29.66zm-1.051-3.494 2.003-.773.782 2.004-2.003.781zm-2.336-2.615 1.536-1.518 1.519 1.527L27.8 17.2zm-2.354-3.575 2.013.754-.764 2.013-2.012-.755zm5.472 13.162 2.003.8-.808 1.994-1.995-.8zm-6.28 6.289 1.976-.836.854 1.977-1.977.844zm-3.55.251h2.157v2.157h-2.156zm3.711-10.421-1.824-1.348-1.823 1.312.718-2.067-1.823-1.347h2.2l.764-2.03.701 2.039 2.22-.027-1.762 1.374.63 2.102z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FE0",
    fillRule: "evenodd",
    d: "M31.188 32.122c-.108.036-.557 1.114-.872 1.635l.332.09c1.222.431 1.833.826 2.354 1.572a.71.71 0 0 0 .917.063s.251-.09.575-.45c.27-.403.197-.718-.126-.996-.988-.72-2.058-1.258-3.18-1.914",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M33.82 34.494a.391.391 0 0 1-.782 0 .386.386 0 0 1 .773 0zm-1.923-1.222a.39.39 0 1 1-.781 0 .39.39 0 0 1 .781 0m.98.629a.39.39 0 1 1-.782 0 .39.39 0 0 1 .782 0",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FE0",
    fillRule: "evenodd",
    d: "M30.154 33.676c-3.827-2.183-7.843-4.537-11.68-6.72-1.68-1.051-1.76-3-.628-4.483.107-.207.251-.162.305-.045.135.718.54 1.464 1.024 1.931a475 475 0 0 1 11.833 7.691c-.306.521-.54 1.105-.854 1.617z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFEC00",
    fillRule: "evenodd",
    d: "m27.702 28.447 1.599 1.438-1.438 1.599-1.599-1.437z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    stroke: "#000",
    strokeWidth: 3,
    d: "m30.783 32.338-11.23-6.784m9.847 5.22-3.783-2.453m1.635 3.837-3.854-2.228"
  }))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "AngolaCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgAngolaCircled;
